Subject: Re: Ping Re: [PATCH 0/8] math-emu: Update kernel math-emu code from current glibc soft-fp

From: Michael Ellerman <[email-masked]>
Date: Thu, 20 Aug 2015 09:26:46 +1000

On Wed, 2015-08-19 at 14:39 +0000, Joseph Myers wrote:
> I'd like to ping this patch series, not having seen any comments on it.
> 
> [PATCH 0/8] math-emu: Update kernel math-emu code from current glibc soft-fp
> https://lkml.org/lkml/2015/7/2/394
> 
> [PATCH 1/8] math-emu: Move math-emu to math-emu-old
> https://lkml.org/lkml/2015/7/2/395
> 
> [PATCH 2/8] math-emu: Import current glibc soft-fp as include/math-emu
> https://lkml.org/lkml/2015/7/2/398
> 
> [PATCH 3/8] alpha/math-emu: Move alpha from math-emu-old to math-emu
> https://lkml.org/lkml/2015/7/2/399
> 
> [PATCH 4/8] powerpc/math-emu: Move powerpc from math-emu-old to math-emu
> https://lkml.org/lkml/2015/7/2/400
> 
> [PATCH 5/8] s390/math-emu: Move s390 from math-emu-old to math-emu
> https://lkml.org/lkml/2015/7/2/401
> 
> [PATCH 6/8] sh/math-emu: Move sh from math-emu-old to math-emu
> https://lkml.org/lkml/2015/7/2/402
> 
> [PATCH 7/8] sparc/math-emu: Move sparc from math-emu-old to math-emu
> https://lkml.org/lkml/2015/7/2/404
> 
> [PATCH 8/8] math-emu: Remove math-emu-old
> https://lkml.org/lkml/2015/7/2/405
> 
> As noted in patch 0, the dependencies are as follows: patch 2 depends on 
> patch 1, patches 3-7 depend on patches 1 and 2 but are independent of each 
> other, patch 8 depends on all the other patches.

Hi Joseph,

I have done some testing on powerpc, and it seems good.

I'm reluctant to proceed with merging them though until we've heard at least
*something* from the other maintainers.

We don't want to end up with math-emu-old hanging around for ever.

cheers